# Retrieve Subaccounts
source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/data-management/query-cms-to-get-particular-data/retrieve-subaccounts/index.md

## Test case -- Success {#test-case--success}

This test case describes retrieving a list of subaccounts stored in the CMS under a specified account contract.

Note: In this test case, the sample response is limited to one record but you can enter a different value (up to 15) in `limit` and `offset` query parameters in the request to test the pagination supported by this endpoint. **Sample request**

<br />

`GET /accounts/60001/sub-accounts?&offset=0&limit=1`

**Sample response**

`200`

```JSON
{
  "count": 1,
  "limit": 1,
  "offset": 0,
  "total": 15,
  "subAccountContracts": [
    {
      "accountContractBalances": {
        "additionalLimit": 123.12,
        "available": 1401.21,
        "balance": 15123.56,
        "blockedAmount": 751.28,
        "creditLimit": 1231.78,
        "pastDue": 241.21,
        "totalDue": 381.14
      },
      "accountContractId": 60002,
      "accountContractLevel": ".1.",
      "accountContractName": "North Division Account",
      "accountContractNumber": "ABC_121235694296313",
      "accountContractOwner": {
        "accountContractOwnerId": 453135,
        "accountContractOwnerNumber": "ABC_685400081",
        "accountContractOwnerName": "John Doe"
      },
      "accountContractStatusData": {
        "statusCode": "00",
        "statusName": "Account OK",
        "externalStatusCode": "00",
        "externalStatusName": "Account OK"
      },
      "accountContractSubtype": "018-Private Client Account",
      "additionalParameters": "FIRST_CYCLE=2020-01-01;AS=&lt;ASV160927172745>&lt;SOV160927172745>;SP=&lt;SPV180802100310>&lt;SPA1002>;INIT_EVNT;",
      "amendmentDate": "2019-06-25T12:51:30Z",
      "amendmentOfficerId": 14300,
      "amendmentOfficerName": "John Smith",
      "billingAccountContractId": 60002,
      "billingAccountContractNumber": "ABC_121235694296313",
      "branchCode": "BRANCH_A",
      "branchName": "Branch A",
      "cbsNumber": "CBS83863371812033",
      "currency": "EUR",
      "currencyNumericCode": "978",
      "dateClose": "2021-12-31",
      "dateOpen": "2019-06-25",
      "dueDate": "2021-06-25",
      "lastBillingDate": "2021-12-28",
      "leaf": "N",
      "liabilityAccountContractId": 60001,
      "liabilityAccountContractNumber": "ABC_35697292146",
      "liabilityCategory": "Y",
      "mainProductCode": "ACCOUNT_EUR",
      "nextBillingDate": "2021-06-25",
      "parentAccountContractId": 60001,
      "parentAccountContractNumber": "ABC_35697292146",
      "parentProductCode": "ACC_EUR",
      "pastDueDate": "2021-06-25",
      "pastDueDays": 233,
      "productCode": "STD-DEBCH-EUR",
      "productName": "Standard Debit Account",
      "serviceGroupCode": "021",
      "serviceGroupName": "GROUP1",
      "topAccountContractId": 60001,
      "topAccountContractNumber": "ABC_35697292146"
    }
  ]
}
```

## Test case -- Success -- No Subaccounts {#test-case--success--no-subaccounts}

This test case describes retrieving a list of subaccounts stored in the CMS under a specified account contract that does not have any subaccounts.

For this test case, use the following information in the request:

|    Path parameter     | Available value |
|-----------------------|-----------------|
| `account_contract_id` | 45001           |

**Sample request**

`GET /accounts/45001/sub-accounts`

**Sample response**

`200`

```JSON
{
    "count": 0,
    "limit": 10,
    "offset": 0,
    "total": 0,
    "subAccountContracts": []
}
```

